Package ru.bgcrm.servlet.filter

# Class SetRequestParamsFilter

java.lang.Object
ru.bgcrm.servlet.filter.SetRequestParamsFilter

All Implemented Interfaces:
  `javax.servlet.Filter`

public class SetRequestParamsFilter extends Object implements javax.servlet.Filter

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `REQUEST_KEY_LOCALIZER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetRequestParamsFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  `void`
  `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
  `static Map<String,Object>`
  `getContextVariables(javax.servlet.http.HttpServletRequest request)`
  Set the following objects into the HttpRequest or another context:
  ctxSetup `Setup.getSetup()` global configuration
  ctxCustomerGroupMap `CustomerGroupCache.getGroupMap()` Map with customer groups
  ctxCustomerGroupList `CustomerGroupCache.getGroupList()` List with customer groups
  ctxUser `User` the current user
  ctxPluginManager `PluginManager.getInstance()`
  ctxUserCache static instance of `UserCache` ctxUserList `UserCache.getUserList()` List of system users
  ctxUserMap `UserCache.getUserMap()` Map of system users
  ctxUserGroupRoleList `UserGroupRoleCache.getUserGroupRoleList()` List of group roles in processes
  ctxUserGroupRoleMap `UserGroupRoleCache.getUserGroupRoleMap()` Map of group roles in processes
  ctxUserGroupList `UserCache.getUserGroupList()` List of user groups
  ctxUserGroupMap `UserCache.getUserGroupMap()` Map of user groups
  ctxUserGroupFullTitledList `UserCache.getUserGroupFullTitledList()` List of user groups whose names include the full path
  ctxUserGroupFullTitledMap `UserCache.getUserGroupFullTitledList()` Map of user groups whose names include the full path
  ctxUserPermsetList `UserCache.getUserPermsetList()` List of user permission sets
  ctxUserPermsetMap `UserCache.getUserPermsetMap()` Map of user permission sets
  ctxDataSource `Setup.getDataSource()` DataSource — connection pool to the DB for use in JSP
  ctxSlaveDataSource `Setup.getSlaveDataSource()` DataSource — connection pool to the Slave DB for use in JSP
  ctxProcessTypeMap `ProcessTypeCache.getProcessTypeMap()` Map with process types
  ctxProcessTypeTreeRoot `ProcessType` — the root node of the process tree
  ctxProcessStatusList
  invalid reference

      ProcessTypeCache#getProcessStatusList()

  List of process statuses
  ctxProcessStatusMap
  invalid reference

      ProcessTypeCache#getProcessStatusMap()

  Map of process statuses
  ctxProcessQueueMap
  invalid reference

      ProcessTypeCache#getProcessQueueMap()

  Map of process queues
  ctxProcessQueueList
  invalid reference

      ProcessTypeCache#getProcessQueueList()

  List of process queues
  ctxParameterCache static instance of `ParameterCache`
  ctxParameterMap `ParameterCache.getParameterMap()` parameter Map
  `void`
  `init(javax.servlet.FilterConfig filterConfig)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### REQUEST_KEY_LOCALIZER

    public static final String REQUEST_KEY_LOCALIZER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetRequestParamsFilter

    public SetRequestParamsFilter()

- ## Method Details

  - ### destroy

    public void destroy()
    Specified by:
      `destroy` in interface `javax.servlet.Filter`

  - ### doFilter

    public void doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain) throws IOException, javax.servlet.ServletException
    Specified by:
      `doFilter` in interface `javax.servlet.Filter`
    Throws:
      `IOException`
      `javax.servlet.ServletException`

  - ### getContextVariables

    public static Map<String,Object> getContextVariables(javax.servlet.http.HttpServletRequest request)
    Set the following objects into the HttpRequest or another context:
    ctxSetup `Setup.getSetup()` global configuration
    ctxCustomerGroupMap `CustomerGroupCache.getGroupMap()` Map with customer groups
    ctxCustomerGroupList `CustomerGroupCache.getGroupList()` List with customer groups
    ctxUser `User` the current user
    ctxPluginManager `PluginManager.getInstance()`
    ctxUserCache static instance of `UserCache` ctxUserList `UserCache.getUserList()` List of system users
    ctxUserMap `UserCache.getUserMap()` Map of system users
    ctxUserGroupRoleList `UserGroupRoleCache.getUserGroupRoleList()` List of group roles in processes
    ctxUserGroupRoleMap `UserGroupRoleCache.getUserGroupRoleMap()` Map of group roles in processes
    ctxUserGroupList `UserCache.getUserGroupList()` List of user groups
    ctxUserGroupMap `UserCache.getUserGroupMap()` Map of user groups
    ctxUserGroupFullTitledList `UserCache.getUserGroupFullTitledList()` List of user groups whose names include the full path
    ctxUserGroupFullTitledMap `UserCache.getUserGroupFullTitledList()` Map of user groups whose names include the full path
    ctxUserPermsetList `UserCache.getUserPermsetList()` List of user permission sets
    ctxUserPermsetMap `UserCache.getUserPermsetMap()` Map of user permission sets
    ctxDataSource `Setup.getDataSource()` DataSource — connection pool to the DB for use in JSP
    ctxSlaveDataSource `Setup.getSlaveDataSource()` DataSource — connection pool to the Slave DB for use in JSP
    ctxProcessTypeMap `ProcessTypeCache.getProcessTypeMap()` Map with process types
    ctxProcessTypeTreeRoot `ProcessType` — the root node of the process tree
    ctxProcessStatusList
    invalid reference

        ProcessTypeCache#getProcessStatusList()

    List of process statuses
    ctxProcessStatusMap
    invalid reference

        ProcessTypeCache#getProcessStatusMap()

    Map of process statuses
    ctxProcessQueueMap
    invalid reference

        ProcessTypeCache#getProcessQueueMap()

    Map of process queues
    ctxProcessQueueList
    invalid reference

        ProcessTypeCache#getProcessQueueList()

    List of process queues
    ctxParameterCache static instance of `ParameterCache`
    ctxParameterMap `ParameterCache.getParameterMap()` parameter Map

  - ### init

    public void init(javax.servlet.FilterConfig filterConfig) throws javax.servlet.ServletException
    Specified by:
      `init` in interface `javax.servlet.Filter`
    Throws:
      `javax.servlet.ServletException`